www.cendio.com

Bug 7301

Summary: empty .tlclient files are not associated on Fedora 29 and SLES 15
Product: ThinLinc Reporter: Samuel Mannehed <samuel@cendio.se>
Component: Client platformsAssignee: Peter ├ůstrand <astrand@cendio.se>
Status: NEW QA Contact: Bugzilla mail exporter <bugzilla-qa@cendio.se>
Severity: Normal    
Priority: P2 CC: hean01@cendio.se
Version: trunkKeywords: upstream
Target Milestone: LowPrio   
Hardware: PC   
OS: Linux   
Acceptance Criteria:

Description From cendio 2019-01-03 17:21:16
While testing bug 5090 I found that empty .tlclient files are not associated
with the ThinLinc Client on Fedora 29 and SLES 15.

It works well on Ubuntu 14.04. Double-clicking from "Files" starts the client
fine and connecting to a server will populate this .tlclient file with
settings.

If I copy .thinlinc/tlclient.conf to a .tlclient file, it associates and works
well even on Fedora 29 and SLES 15.
------- Comment #1 From cendio 2019-01-07 09:44:03 -------
See:

https://unix.stackexchange.com/questions/426952/wrong-mime-type-displayed-for-empty-text-files

which leads to:

https://bugzilla.gnome.org/show_bug.cgi?id=755795

Apparently fixed now.
------- Comment #2 From cendio 2019-01-07 13:33:26 -------
(In reply to comment #1)
> https://bugzilla.gnome.org/show_bug.cgi?id=755795
> 
> Apparently fixed now.

Can't find any version number of the package that is supposed to fixed this.
But is it likely that the fixed package hasn't made it into Fedora since 2015?
I was able to reproduce the issue with Fedora 29 after all.
------- Comment #3 From cendio 2019-01-07 13:50:24 -------
If the relevant package is glib, it looks like it should have been fixed in
2.46 according to that gnome bug. However, I can still reproduce the issue on
my Fedora 29 workstation that has glib2-2.58.1-1.fc29.x86_64.
------- Comment #4 From cendio 2019-01-09 10:09:53 -------
One example usecase which this bug affects is:

Create an empty .tlcient file to create a new "profile" and double-click it to
start the ThinLinc client. Now every setting you make, and the server and
username are saved to this new .tlclient file.
------- Comment #5 From cendio 2019-01-09 10:12:29 -------
This bug can be seen both in Nautilus and when using "xdg-mime query filetype
<file>".

Seen the issue in Fedora 29 and SLES 15 using GNOME 3.
------- Comment #6 From cendio 2019-01-09 12:52:30 -------
xdg-mime apparently tries to use gio to query the mime type, so that's why
we're seeing the same issue with it as with nautilus.
------- Comment #7 From cendio 2019-01-09 12:53:15 -------
Issue reported upstream:

https://gitlab.gnome.org/GNOME/glib/issues/1647

Let's see if they care. Not really a ThinLinc issue, but let's track it for a
while in case our users stumble upon this.